% (C) B&M - MLN UPF - 2021

function MLN_NoisePredictionDataSet_TBC()

m = 0.01;

NMeasures=200;

Measures = zeros(1,NMeasures+1);

for i=1:NMeasures+1
    Measures(i) = 30 + m.*i + 2.*abs(2.*randn);
end

TrainingDataset=zeros(NMeasures,2);

for i=1:NMeasures
    TrainingDataset(i,1)=Measures(i);
    TrainingDataset(i,2)=Measures(i+1);    
end

figure
plot(TrainingDataset(:,1),TrainingDataset(:,2),'ko');
xlabel('X (dBs) - Sample i');
ylabel('Y (dBs) - Sample i+1');

% ------------ Training the Prediction Model ---------------

% mdl=

disp('Prediction Model');
%disp(mdl);

% ----------------------------------------------------------

end


